IndexBase Class Referenceabstract
Inheritance diagram for IndexBase:
[legend]
Collaboration diagram for IndexBase:
[legend]

## Classes

class | Bin
class | Reference

## Public Member Functions

virtual void | resetIndex ()
| Reset the member data for a new index file.
virtual StatGenStatus::Status | readIndex (const char *filename)=0
int32_t | getNumRefs () const
| Get the number of references in this index. More...
bool | getMinOffsetFromLinearIndex (int32_t refID, uint32_t position, uint64_t &minOffset) const

## Static Protected Member Functions

static void | getBinsForRegion (uint32_t start, uint32_t end, bool binMap[MAX_NUM_BINS+1])

## Protected Attributes

int32_t | n_ref
std::vector< Reference > | myRefs

## Static Protected Attributes

static const uint32_t | MAX_NUM_BINS = 37450
static const uint32_t | MAX_POSITION = 536870911
static const uint32_t | LINEAR_INDEX_SHIFT = 14

## Detailed Description

Definition at line 62 of file IndexBase.h.

## Member Function Documentation

## getNumRefs()

int32_t IndexBase::getNumRefs | ( |  | ) | const

Get the number of references in this index.

Returns
  number of references

Definition at line 139 of file IndexBase.cpp.

{
// Return the number of references.
return(myRefs.size());
}

## readIndex()

virtual StatGenStatus::Status IndexBase::readIndex | ( | const char * | filename | ) |

pure virtual

Parameters

  filename | the bam index file to be read.

Returns
  the status of the read.

Implemented in Tabix, and BamIndex.

The documentation for this class was generated from the following files:

- general/IndexBase.h
- general/IndexBase.cpp